l
<template>
  <div>
    <el-row>
      <el-col>
        <el-tabs v-model.trim="activeName" @tab-click="handleClick">
          <el-tab-pane
            label="台账类数据质量核查"
            name="first"
            :style="'height:' + vh + ';'"
          >
          <Ledgerdata v-if="activeName=='first'"></Ledgerdata>
          </el-tab-pane>

          <el-tab-pane
            label="监测指标数据质量核查"
            name="second"
            :style="'height:' + vh + ';'"
          >
          <Monitoringindicators v-if="activeName=='second'"></Monitoringindicators>
          </el-tab-pane>

        </el-tabs>
      </el-col>
    </el-row>
  </div>
</template>
<script>
import Ledgerdata from "./verification/Ledgerdata.vue"
import Monitoringindicators from "./verification/Monitoringindicators.vue"
export default {
  components: { Ledgerdata, Monitoringindicators },
  data() {
    return {
      vh: "",
      activeName: "first",
      device: "",
    };
  },
  created() {},
  mounted() {
   
    this.setHeight()
        window.addEventListener('resize', this.setHeight)
    },
    beforeDestroy() {
        window.removeEventListener('resize', this.setHeight)
    },
    methods: {
        setHeight() {
          this.device = window.devicePixelRatio;
    this.vh = window.sessionStorage.getItem('appheight') - 150 + "px";
     
        },
    handleClick(tab, event) {
      //console.log(tab, event);
    },
  },
};
</script>
<style lang="less" scoped>
@import url("../../../../styles/comStyle.less");
</style>
